C*****************************************************************************
C
C File:  L3_FORTRAN.INC
C
C Description: This file contains function definitions for all the FORTRAN
C              wrappers defined in L3_fortran_wappers.c, and a few
C              parameters for the #defines in lablib3.c.
C
C Author:  Steve Monk, University of Colorado LASP
C
C Creation Date:  26 Jan  1995
C Last Modified:  26 Jan  1995
C
C History:
C
C   Creation - These routines were part of the Beta Release of
C              the OA library.
C
C
C*****************************************************************************

        byte         ODL_NOEXPAND
        parameter   (ODL_NOEXPAND         = 0)
        byte         ODL_EXPAND_STRUCTURE
        parameter   (ODL_EXPAND_STRUCTURE = 1)
        byte         ODL_EXPAND_CATALOG
        parameter   (ODL_EXPAND_CATALOG   = 2)

        byte         ODL_RECURSIVE_DOWN
        parameter   (ODL_RECURSIVE_DOWN = 0)
        byte         ODL_TO_END
        parameter   (ODL_TO_END         = 1)
        byte         ODL_CHILDREN_ONLY
        parameter   (ODL_CHILDREN_ONLY  = 2)
        byte         ODL_SIBLINGS_ONLY
        parameter   (ODL_SIBLINGS_ONLY  = 3)
        byte         ODL_THIS_OBJECT
        parameter   (ODL_THIS_OBJECT    = 4)

        byte         ODL_RECORD_LOCATION
        parameter   (ODL_RECORD_LOCATION = 0)
        byte         ODL_BYTE_LOCATION
        parameter   (ODL_BYTE_LOCATION   = 1)

        byte         ODL_UNKNOWN
        parameter   (ODL_UNKNOWN     = 0)
        byte         ODL_INTEGER
        parameter   (ODL_INTEGER     = 1)
        byte         ODL_REAL
        parameter   (ODL_REAL        = 2)
        byte         ODL_SYMBOL
        parameter   (ODL_SYMBOL      = 3)
        byte         ODL_TEXT
        parameter   (ODL_TEXT        = 4)
        byte         ODL_DATE
        parameter   (ODL_DATE        = 5)
        byte         ODL_DATA_TIME
        parameter   (ODL_DATA_TIME   = 6)
        byte         ODL_SEQUENCE
        parameter   (ODL_SEQUENCE    = 7)
        byte         ODL_SET
        parameter   (ODL_SET         = 8)

        INTEGER*4   OdlFortLeftSibling
        INTEGER*4   OdlFortRightSibling
        INTEGER*4   OdlFortLeftmostChild
        INTEGER*4   OdlFortRightmostChild
        INTEGER*4   OdlFortParent
        INTEGER*4   OdlFortLemmeGo
        INTEGER*4   OdlFortCopyKwd
        INTEGER*4   OdlFortCopyObjDesc
        INTEGER*4   OdlFortCutKwd
        INTEGER*4   OdlFortCutObjDesc
        INTEGER*4   OdlFortExpandLabelFile
        INTEGER*4   OdlFortFindKwd
        INTEGER*4   OdlFortFindObjDesc
        INTEGER*4   OdlFortFreeAllKwds
        INTEGER*4   OdlFortFreeKwd
        INTEGER*4   OdlFortFreeTree
C       subroutine  OdlFortGetFileName
        INTEGER*4   OdlFortGetFirstKwd
C       subroutine  OdlFortGetKwdName
C       subroutine  OdlFortGetKwdUnit
C       subroutine  OdlFortGetKwdValue
        INTEGER*2   OdlFortGetKwdValueType
C       subroutine  OdlFortGetLabelVersion
        INTEGER*4   OdlFortGetNextKwd
        INTEGER*4   OdlFortGetObjDescChildCount
        INTEGER*4   OdlFortGetObjDescClassName
        INTEGER*4   OdlFortNewKwd
        INTEGER*4   OdlFortNewObjDesc
        INTEGER*4   OdlFortNextKwd
        INTEGER*4   OdlFortNextObjDesc
        INTEGER*4   OdlFortParseLabelFile
        INTEGER*4   OdlFortPasteKwd
        INTEGER*4   OdlFortPasteKwdBefore
        INTEGER*4   OdlFortPasteKwdAfter
        INTEGER*4   OdlFortPasteObjDesc
        INTEGER*4   OdlFortPasteObjDescAfter
        INTEGER*4   OdlFortPasteObjDescBefore
